diff autogen.sh @ 1863:bf2434d36e54

[gaim-migrate @ 1873] removing lots of auto-generated files. this should help when things like gettext and libtool are upgraded (like they are in debian). remember, don't run ./gen anymore, run ./autogen.sh. it'll also run ./configure for you with any options you pass it. committer: Tailor Script <tailor@pidgin.im>
author Eric Warmenhoven <eric@warmenhoven.org>
date Sun, 20 May 2001 00:01:55 +0000
parents
children 7b68621e26db
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/autogen.sh	Sun May 20 00:01:55 2001 +0000
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+(gettextize --version) < /dev/null > /dev/null 2>&1 || {
+	echo;
+	echo "You must have gettext installed to compile Gaim";
+	echo;
+	exit;
+}
+
+(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+	echo;
+	echo "You must have libtool installed to compile Gaim";
+	echo;
+	exit;
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+	echo;
+	echo "You must have automake installed to compile Gaim";
+	echo;
+	exit;
+}
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+	echo;
+	echo "You must have autoconf installed to compile Gaim";
+	echo;
+	exit;
+}
+
+echo "Generating configuration files for Gaim, please wait...."
+echo;
+
+echo "Running gettextize, please ignore non-fatal messages...."
+echo n | gettextize --copy --force;
+echo "Running libtoolize, please ignore non-fatal messages...."
+echo n | libtoolize --copy --force;
+aclocal -I m4 $ACLOCAL_FLAGS;
+autoheader;
+automake --add-missing --copy;
+autoconf;
+./configure $@
+